be.ehealth.technicalconnector.ws.domain

## Class HandlerChain

- java.lang.Object
- - be.ehealth.technicalconnector.ws.domain.HandlerChain

-     public class HandlerChain
      extends Object

  Class used for programatically manipulating the HandlerChain of a `GenericRequest`

  There are 2 handlerchains available:

- before execting the security
- after executing the security Note:When registering a `SOAPHandler` to a certain chain the FIFO (first in first out) principle is applied.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerChain()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HandlerChain` | `add(HandlerChain handlers)`
    `Handler<?>[]` | `getHandlers()`
    `List<Handler<?>>` | `getHandlers(HandlerPosition position)`
    `HandlerChain` | `register(HandlerPosition position, SOAPHandler<?> handler)` Method to register a `SOAPHandler` within a certain Position
    `HandlerChain` | `unregisterHandler(HandlerPosition position, SOAPHandler<?> handler)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlerChain

          public HandlerChain()

  - ### Method Detail

    - #### register

          public HandlerChain register(HandlerPosition position,
                                       SOAPHandler<?> handler)

      Method to register a `SOAPHandler` within a certain Position

    - #### unregisterHandler

          public HandlerChain unregisterHandler(HandlerPosition position,
                                                SOAPHandler<?> handler)

    - #### add

          public HandlerChain add(HandlerChain handlers)

    - #### getHandlers

          public List<Handler<?>> getHandlers(HandlerPosition position)

    - #### getHandlers

          public Handler<?>[] getHandlers()

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.